changelogs.md


webpack/less-loader

Repository  -  API  -  Source

4.1.0

March 9, 2018

Features

4.0.6

February 27, 2018

Bug Fixes

  • package: add webpack >= v4.0.0 (peerDependencies) (#245) (011cc73)

4.0.5

July 10, 2017

Chore

4.0.4

May 30, 2017

Bug Fixes

4.0.3

March 30, 2017

Bug Fixes

  • sourcesContent missing in source maps (df28035)

4.0.2

March 21, 2017

Bug Fixes

  • Plugin.install is not a function (f8ae245)

4.0.1

March 21, 2017

Bug Fixes

4.0.0

March 20, 2017

Bug Fixes

  • error where not all files were watched (53c90fc)
  • resolve alias (98d4e63)

Chores

  • dependencies: Update peer dependencies (24a6f66)

Features

  • source-maps: refactor source maps handling (895044f)
  • allow user to choose between resolvers (1d6e505)
  • improve formatting of error messages (39772a5)
  • make any file type importable (d3022b8)
  • remove root option (39ad4f8)

BREAKING CHANGES

  • If you've already configured your resolve.alias with a .less extension, you can now remove that wrong extension.
  • The root option was never documented, so it's very unlikely that this is actually a breaking change. However, since the option was removed, we need to flag this as breaking.
  • dependencies: Require webpack 2 as peer dependency
  • source-maps: Since the map is now passed as an object to the next loader, this could potentially break if another loader than the css-loader is used. The css-loader accepts both.

Changelog

3.0.0

  • Breaking: Remove node 0.10 and 0.12 support
  • Breaking: Remove official webpack 1 support. There are no breaking changes for webpack 1 with 3.0.0, but future release won't be tested against webpack 1
  • Breaking: Remove synchronous compilation support #152 #84
  • Reduce npm package size by using the files property in the package.json

2.2.3

  • Fix missing path information in source map #73
  • Add deprecation warning #84

2.2.2

  • Fix issues with synchronous less functions like data-uri(), image-size(), image-width(), image-height() #31 #38 #43 #58

2.2.1

  • Improve Readme

2.2.0

  • Added option to specify LESS plugins #40